CMSIS-DSP: arm_matrix_instance_f32 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_matrix_instance_f32 Struct Reference

Instance structure for the floating-point matrix structure. More...

## Data Fields
uint16_t | numRows
uint16_t | numCols
float32_t * | pData

## Description

Examples:
  arm_class_marks_example_f32.c, and arm_matrix_example_f32.c.

## Field Documentation

uint16_t arm_matrix_instance_f32::numCols

number of columns of the matrix.

Referenced by arm_mat_add_f32(), arm_mat_cmplx_mult_f32(), arm_mat_init_f32(), arm_mat_inverse_f32(), arm_mat_mult_f32(), arm_mat_scale_f32(), arm_mat_sub_f32(), and arm_mat_trans_f32().

uint16_t arm_matrix_instance_f32::numRows

number of rows of the matrix.

Referenced by arm_mat_add_f32(), arm_mat_cmplx_mult_f32(), arm_mat_init_f32(), arm_mat_inverse_f32(), arm_mat_mult_f32(), arm_mat_scale_f32(), arm_mat_sub_f32(), and arm_mat_trans_f32().

float32_t* arm_matrix_instance_f32::pData

points to the data of the matrix.

Referenced by arm_mat_add_f32(), arm_mat_cmplx_mult_f32(), arm_mat_init_f32(), arm_mat_inverse_f32(), arm_mat_mult_f32(), arm_mat_scale_f32(), arm_mat_sub_f32(), and arm_mat_trans_f32().